{% extends "base.html" %}

{% block links %}
{{ super() }}
{% endblock %}

{% block title %}
Mot de passe oublié
{% endblock %}

{% block header %}{% endblock %}

{% block main %}
<form method="POST" class="shadow rounded px-4 py-3">
    <h1 class="text-2xl font-semibold text-center mb-4">Mot de passe oublié ?</h1>
    <p>Si vous avez oublié votre mot de passe, renseignez votre adresse e-mail ou votre numéro étudiant et nous vous
        renverrons un e-mail de réinitialisation de mot de passe</p>

    <div class="flex flex-col mt-4">
        <label class="font-medium mb-2 text-gray-900 text-sm">Votre numéro étudiant</label>
        <input id="student_number" name="username" type="text" required placeholder="Écrivez votre numéro étudiant ici"
            class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2" />
    </div>

    <div class="flex flex-col mt-4">
        <label class="font-medium mb-2 text-gray-900 text-sm">Votre adresse email</label>
        <input id="email" name="email" type="email" required placeholder="Écrivez votre adresse email ici"
            class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2" />
    </div>

    <button
        class="rounded-full pointer px-3 py-[5px] mb-1 text-white bg-[var(--blue)] mt-5 border border-[var(--blue)] font-semibold hover:bg-white hover:text-[var(--blue)] duration-300 shadow mx-auto flex">
        Envoyer
    </button>

    <a href="{{ url_for('signup') }}" class="mx-auto flex w-fit hover:text-[var(--blue)] mt-2">Retour à la page de
        connexion</a>
</form>
{% endblock %}

{% block footer %}{% endblock footer%}

{% block script %}
{{ super() }}
{% endblock %}